Package org.silverpeas.mobile.shared.services.rest

## Interface ServiceReminder

- All Superinterfaces:
    `org.fusesource.restygwt.client.RestService`

      @Path("/reminder")
      public interface ServiceReminder
      extends org.fusesource.restygwt.client.RestService

  Author:
    svu

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `createReminder​(String componentInstanceId, String type, String localId, ReminderDTO dto, org.fusesource.restygwt.client.MethodCallback<ReminderDTO> callback)` |
    `void` | `deleteReminder​(String componentInstanceId, String type, String localId, String id, org.fusesource.restygwt.client.MethodCallback<Void> callback)` |
    `void` | `getPossibleDurations​(String componentInstanceId, String type, String localId, String property, org.fusesource.restygwt.client.MethodCallback<List<String>> callback)` |
    `void` | `getReminders​(String componentInstanceId, String type, String localId, org.fusesource.restygwt.client.MethodCallback<List<ReminderDTO>> callback)` |
    `void` | `updateReminder​(String componentInstanceId, String type, String localId, String id, ReminderDTO dto, org.fusesource.restygwt.client.MethodCallback<ReminderDTO> callback)` |

- - ### Method Detail

    - #### getPossibleDurations

          @GET
          @Path("/{componentInstanceId}/{type}/{localId}/possibledurations/{property}")
          void getPossibleDurations​(@PathParam("componentInstanceId")
                                    String componentInstanceId,
                                    @PathParam("type")
                                    String type,
                                    @PathParam("localId")
                                    String localId,
                                    @PathParam("property")
                                    String property,
                                    org.fusesource.restygwt.client.MethodCallback<List<String>> callback)

    - #### getReminders

          @GET
          @Path("/{componentInstanceId}/{type}/{localId}")
          void getReminders​(@PathParam("componentInstanceId")
                            String componentInstanceId,
                            @PathParam("type")
                            String type,
                            @PathParam("localId")
                            String localId,
                            org.fusesource.restygwt.client.MethodCallback<List<ReminderDTO>> callback)

    - #### createReminder

          @POST
          @Path("/{componentInstanceId}/{type}/{localId}")
          void createReminder​(@PathParam("componentInstanceId")
                              String componentInstanceId,
                              @PathParam("type")
                              String type,
                              @PathParam("localId")
                              String localId,
                              ReminderDTO dto,
                              org.fusesource.restygwt.client.MethodCallback<ReminderDTO> callback)

    - #### deleteReminder

          @DELETE
          @Path("/{componentInstanceId}/{type}/{localId}/{id}")
          void deleteReminder​(@PathParam("componentInstanceId")
                              String componentInstanceId,
                              @PathParam("type")
                              String type,
                              @PathParam("localId")
                              String localId,
                              @PathParam("id")
                              String id,
                              org.fusesource.restygwt.client.MethodCallback<Void> callback)

    - #### updateReminder

          @PUT
          @Path("/{componentInstanceId}/{type}/{localId}/{id}")
          void updateReminder​(@PathParam("componentInstanceId")
                              String componentInstanceId,
                              @PathParam("type")
                              String type,
                              @PathParam("localId")
                              String localId,
                              @PathParam("id")
                              String id,
                              ReminderDTO dto,
                              org.fusesource.restygwt.client.MethodCallback<ReminderDTO> callback)